Skip to main content
PATCH
PATCH /v1/teams/{id}

Update a Team

Update a team’s properties using JSON Merge Patch. You can update by ID.

Update by ID

id
string
required
UUID of the team to update.

Body Parameters

Send a JSON object with the fields to update. Only provided fields are changed.
displayName
string
Updated display name.
description
string
Updated description in Markdown format.
email
string
Updated email address for the team.
isJoinable
boolean
Whether users can join this team without an invitation.
owners
array
Updated list of owner references.
policies
array
Updated list of policy references.
domain
string
Updated domain FQN.
PATCH /v1/teams/{id}

Returns

Returns the updated team object with the new version number.

Response

id
string
Unique identifier for the team (UUID format).
name
string
Team name.
fullyQualifiedName
string
Fully qualified name (same as name for teams).
description
string
Updated description.
version
number
Incremented version number.

Error Handling